#!/usr/bin/perl -w
#
# mc2mp3.pl by Christian Reitler <Reitler@t-online.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# Or, point your browser to http://www.gnu.org/copyleft/gpl.html
#

my $showinfo = 1; #show status at OSD


if ( !defined( $ARGV[0] && $ARGV[1] ) )
	{
	print "Not enough Arguments applied!\n";
	exit 1;
	}
elsif ( !-d $ARGV[0])
	{                                        
        print "Supplied VDR-Directory \"" . $ARGV[0] . "\" does not exist!\n";
        exit 2;
        }
elsif ( !-d $ARGV[1])
	{
	print "Supplied mp3-Directory \"" . $ARGV[1] . "\" does not exist!\n";
	exit 3;
	}                                                                                               
                                                                                                
my $recdir = "$ARGV[0]/";
my $mp3dir = "$ARGV[1]/";

system ("cp log.db $recdir");
system ("perl makeMarks.pl $recdir");
if ($showinfo == 1)
	{
	system ("svdrpsend.pl MESG makeMarks finishd");
	}
system ("perl vdr2mp3.pl $recdir $mp3dir");
if ($showinfo == 1)
	{
	system ("svdrpsend.pl MESG finishd creating the mp3");
	}
