#!/usr/bin/perl -w
#
# vdr2mp3.pl by Christian Reitler <Reitler@t-online.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# Or, point your browser to http://www.gnu.org/copyleft/gpl.html
#

if ( !defined( $ARGV[0] && $ARGV[1] ) ) 
	{
	print "Not enough Arguments applied!\n";
	exit 1;
	}
elsif ( !-d $ARGV[0]) 
	{
	print "Supplied VDR-Directory \"" . $ARGV[0] . "\" does not exist!\n";
	exit 2;
	}
elsif ( !-d $ARGV[1])
	{
	print "Supplied mp3-Directory \"" . $ARGV[1] . "\" does not exist!\n";
	exit 3;	
	}

my $dir = "$ARGV[0]/";
my $mp3dir = "$ARGV[1]/";

# TO DO  ndern des makeMarks.pl zum abarbeiten
#my $marks = "marks.vdr";

my $marks = "log.db";
my $Marks = "$dir$marks";
open ( MARKS, $Marks ) || die "marks.vdr not found\n";
my @MarksInhalt =<MARKS>;
close (MARKS);
my $nr = 1;

foreach(@MarksInhalt)
	{
	$_ =~ /\[(.*)\]/;
	my $Titel = $1;
	$_ =~ /\{(.*)\}/;
	my $Interpret = $1;
	if ($Interpret ne $Titel)
		{
		my $mp3 = "$Interpret\_$Titel.mp3";
		my $quelle = "00$nr.vdr";
		
		if ($nr <= 9)
			{
			open (VDR, "$dir$quelle" ) || die "Fertisch\n";
			close (VDR);
			system ("vdrsync.pl \"$dir$quelle\" -ignore bd -audio-only -o /tmp"); #-ignore bd ==bei den meisten Aufnahmen wird dadurch der ac3 Stream nicht bercksichtig
			system ("lame --mp2input -s 48 --preset cd --tt \"$Titel\" --ta \"$Interpret\"  /tmp/vdrsync0.mpa \"$mp3dir$mp3\"");
			system ('rm /tmp/*.mpa');
			$nr++;
			print "$mp3 \t\t\t\t erfolgreich erstellt\n";
			}
		else 	
			{
			my $quelle = "0$nr.vdr";
			open (VDR, "$dir$quelle" ) || die "Fertisch\n";
			close (VDR);
			system ("vdrsync.pl \"$dir$quelle\" -ignore bd -audio-only -o /tmp"); #-ignore bd ==bei den meiststen Aufnahmen wird dadurch der ac3 Stream nicht bercksichtig
			system ("lame --mp2input -s 48 --preset cd --tt \"$Titel\" --ta \"$Interpret\"  /tmp/vdrsync0.mpa \"$mp3dir$mp3\"");
			system ('rm /tmp/*.mpa');
			$nr++;
			print "$mp3 \t\t\t\t erfolgreich erstellt\n";
			}
		
		}
	}	
