#!/usr/bin/perl -w
#
# Videotext absuchen nach Zeit Interpret Titel
# vtxdurchsuchen.pl by Christian Reitler <Reitler@t-online.de>
# modified by Christoph Heuel <mail@christoph-heuel.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# Or, point your browser to http://www.gnu.org/copyleft/gpl.html
#
# $Id: vtxdurchsuchen.pl,v 1.5 2005/01/17 12:22:17 ch Exp $
#
#

# ============Pfadangaben==========
#my $filename = "/-c/S19.2E-1-1108-12120/111_00.vtx";
my $filename      = "/-c/S19.2E-1-1108-12120/110s.vtx";
# my $Temp          = "Temp";
my $Log           = "log.db";
my $decode_script = "./vtxdecode.pl";    # This script decodes the vt

#===============Ende==============


# =====Offset OSDTeletext mit 111_0.vxt========
#my $TimeOffset      = 31;
#my $InterpretOffset = 750;
#my $TitelOffset     = 791;

# =====Offset OSDTeletext mit 110s.vtx=========
my $TimeOffset      = 1093;
my $InterpretOffset = 1812;
my $TitelOffset     = 1853;



my $noInterpret = "Zur Zeit kein Videoclip!";
#my $noInterpret = " - ";

my %buf = ( "Interpret" => "Nichts", "Titel" => "Nichts", "Zeit" => "" );

sub writeBuf {
	open( LOG, ">>", $Log );
#	$outp = sprintf("(%s) {%s} [%s]",$logbuf{"Zeit"},$logbuf{"Interpret"},$logbuf{"Titel"});
	$outp = sprintf("(%s) {%s} [%s] # %s",$_[0],$_[1],$_[2],$_[3]);
	print LOG "$outp \n";
	print "Values in writeBuf:$outp\n";
	close(LOG);
}

while (1) {

	# Decode Page into buffer
	$newbuf = `$decode_script $filename`;
	$Interpret=substr($newbuf,$InterpretOffset,27);
	$Interpret =~ s/\ {2,}//g ; 
	$Titel=substr($newbuf,$TitelOffset,27);
	$Titel =~ s/\ {2,}//g ;
	$Time=substr($newbuf,$TimeOffset,8);
	
#	printf("Values in main: (%s) {%s} [%s]\n",$buf{"Zeit"},$buf{"Interpret"},$buf{"Titel"});
	if ( $Interpret ne $noInterpret ) 
		{
		if (!(($Interpret eq $buf{"Interpret"}) && ($Titel eq $buf{"Titel"}))) 
			{
				$buf{"Interpret"}=$Interpret;
				$buf{"Titel"}=$Titel;
				$buf{"Zeit"}=$Time;
				writeBuf($Time,$Interpret,$Titel," ");
			}	
		} else 
			{
			if ($buf{"Interpret"} ne " - ")  
				{
				writeBuf($Time," - "," - ","Werbung");
				$buf{"Interpret"}=" - ";
				}
			}

		sleep(5);
	}


